# Method: externaltransactions.getexternaltransaction

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/externaltransactions/getexternaltransaction#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/externaltransactions/getexternaltransaction#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/externaltransactions/getexternaltransaction#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/externaltransactions/getexternaltransaction#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/externaltransactions/getexternaltransaction#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/externaltransactions/getexternaltransaction#try-it)

Gets an existing external transaction.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/{name=applications/*/externalTransactions/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the external transaction to retrieve. Format: applications/{packageName}/externalTransactions/{externalTransaction} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/externaltransactions#ExternalTransaction`.

### Sample

The following is a sample request:

````json
```
curl \
  -X GET \
  'https://androidpublisher.googleapis.com/androidpublisher/v3/applications/com.example.app/externalTransactions/1234567890' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer [YOUR_ACCESS_TOKEN]'
```
````

The following is a sample response:

```json
{
  "createTime": "2023-04-06T13:48:11.694Z",
  "currentPreTaxAmount": {
    "currency": "USD",
    "priceMicros": "12000000"
  },
  "currentTaxAmount": {
    "currency": "USD",
    "priceMicros": "1200000"
  },
  "externalTransactionId": "ext-trans-id-123",
  "oneTimeTransaction": {
    "externalTransactionToken": "one-time-token-456"
  },
  "originalPreTaxAmount": {
    "currency": "USD",
    "priceMicros": "15000000"
  },
  "originalTaxAmount": {
    "currency": "USD",
    "priceMicros": "1500000"
  },
  "packageName": "com.example.app",
  "recurringTransaction": {
    "externalSubscription": {
      "subscriptionType": "RECURRING"
    },
    "externalTransactionToken": "recurring-token-789",
    "initialExternalTransactionId": "ext-trans-id-001",
    "otherRecurringProduct": {}
  },
  "testPurchase": {},
  "transactionProgramCode": 11,
  "transactionState": "TRANSACTION_REPORTED",
  "transactionTime": "2023-04-06T14:00:00.000Z",
  "userTaxAddress": {
    "regionCode": "US"
  }
}
```

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`